diff -pruN 4.11.0-2/debian/changelog 4.11.0-2ubuntu2/debian/changelog
--- 4.11.0-2/debian/changelog	2020-01-29 17:48:28.000000000 +0000
+++ 4.11.0-2ubuntu2/debian/changelog	2020-05-17 17:27:14.000000000 +0000
@@ -1,3 +1,27 @@
+qtcreator (4.11.0-2ubuntu2) groovy; urgency=medium
+
+  * Fix build on non-amd64 by installing docs only when needed.
+
+ -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 May 2020 20:27:14 +0300
+
+qtcreator (4.11.0-2ubuntu1) groovy; urgency=medium
+
+  * Do not install QBS docs, as we do not build them.
+
+ -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 May 2020 18:08:17 +0300
+
+qtcreator (4.11.0-2build2) focal; urgency=medium
+
+  * No-change rebuild against qtbase-abi-5-12-8.
+
+ -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:07:23 +0100
+
+qtcreator (4.11.0-2build1) focal; urgency=medium
+
+  * No-change rebuild for libgcc-s1 package name change.
+
+ -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:24:25 +0100
+
 qtcreator (4.11.0-2) unstable; urgency=medium
 
   * Use Rules-Requires-Root: no.
diff -pruN 4.11.0-2/debian/control 4.11.0-2ubuntu2/debian/control
--- 4.11.0-2/debian/control	2020-01-29 17:46:32.000000000 +0000
+++ 4.11.0-2ubuntu2/debian/control	2020-05-17 15:08:17.000000000 +0000
@@ -1,7 +1,8 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
diff -pruN 4.11.0-2/debian/patches/do_not_install_qbs_docs.diff 4.11.0-2ubuntu2/debian/patches/do_not_install_qbs_docs.diff
--- 4.11.0-2/debian/patches/do_not_install_qbs_docs.diff	1970-01-01 00:00:00.000000000 +0000
+++ 4.11.0-2ubuntu2/debian/patches/do_not_install_qbs_docs.diff	2020-05-17 15:08:11.000000000 +0000
@@ -0,0 +1,18 @@
+Description: do not install QBS docs, as we do not build them
+ The error was previously ignored, but now fatal because of
+ https://code.qt.io/cgit/qt/qtbase.git/commit/?id=20e9422e069a27b7.
+Author: Dmitry Shachnev <mitya57@debian.org>
+Last-Update: 2020-05-17
+
+--- a/qtcreator.pro
++++ b/qtcreator.pro
+@@ -79,9 +79,6 @@ exists(src/shared/qbs/qbs.pro) {
+     include(src/shared/qbs/doc/doc_shared.pri)
+     include(src/shared/qbs/doc/doc_targets.pri)
+     docs.depends += qbs_docs
+-    !build_online_docs {
+-        install_docs.depends += install_qbs_docs
+-    }
+     unset(DOC_FILES)
+     unset(DOC_TARGET_PREFIX)
+ }
diff -pruN 4.11.0-2/debian/patches/series 4.11.0-2ubuntu2/debian/patches/series
--- 4.11.0-2/debian/patches/series	2020-01-29 16:53:02.000000000 +0000
+++ 4.11.0-2ubuntu2/debian/patches/series	2020-05-17 15:05:53.000000000 +0000
@@ -9,3 +9,4 @@ rpath_nonlinux.diff
 remove_libexec.diff
 fix_documentation_path.diff
 load_clanglazy.patch
+do_not_install_qbs_docs.diff
diff -pruN 4.11.0-2/debian/rules 4.11.0-2ubuntu2/debian/rules
--- 4.11.0-2/debian/rules	2019-12-03 02:01:53.000000000 +0000
+++ 4.11.0-2ubuntu2/debian/rules	2020-05-17 17:27:10.000000000 +0000
@@ -25,11 +25,11 @@ override_dh_auto_configure:
 		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)
 
 override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp/usr
 ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
 	dh_auto_build -- qch_docs
-endif
-	dh_auto_install --destdir=debian/tmp/usr
 	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
+endif
 
 	# Do not install the file, we better symlink it.
 	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL
